#ifndef VUMETER_VIEW
#define VUMETER_VIEW

#include <View.h> 

#define VALUE_DECIBEL_MSG	'VLdb'

class VUMeterView : public BView
{
public:
	VUMeterView( BRect frame );
	virtual ~VUMeterView();

	virtual void AttachedToWindow();
	virtual void Draw( BRect updateRect );
	virtual void MessageReceived( BMessage* message );
	virtual void Pulse();

private:

	void DrawScale( 
		double db, double top, double bottom );

	double mDisplayValue, mCurrentValue;
	BPoint mNeedleTop, mNeedleBottom;
	int32 mCounter;
};

#endif
